aboutsummaryrefslogtreecommitdiff
path: root/src/clients/paludis/pretend_TEST
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-05-25 05:58:32 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-05-25 05:58:32 +0000
commitb672c8592fba32dc313d67822a781676c82cbea3 (patch)
treebc541a36a3a95a9c3bdadaad0fe873acaae0a14d /src/clients/paludis/pretend_TEST
parentd68ec5a53b8c92d74b2df9be84658fd0eb34e6cd (diff)
downloadpaludis-b672c8592fba32dc313d67822a781676c82cbea3.tar.gz
paludis-b672c8592fba32dc313d67822a781676c82cbea3.tar.xz
Make pkg_pretend abort properly. Fixes: ticket:579
Diffstat (limited to 'src/clients/paludis/pretend_TEST')
-rwxr-xr-xsrc/clients/paludis/pretend_TEST28
1 files changed, 28 insertions, 0 deletions
diff --git a/src/clients/paludis/pretend_TEST b/src/clients/paludis/pretend_TEST
new file mode 100755
index 000000000..d646547b7
--- /dev/null
+++ b/src/clients/paludis/pretend_TEST
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --list-packages || exit 12
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --query test-category/target || exit 13
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --has-version test-category/target && exit 1
+
+export PRETEND_SHOULD_FAIL=yes
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --pretend --install test-category/target && exit 2
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --install test-category/target && exit 3
+
+export PRETEND_SHOULD_FAIL=
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --pretend --install test-category/target || exit 4
+
+PALUDIS_HOME=./pretend_TEST_dir/config/ ./paludis --environment :pretend-test \
+ --install test-category/target || exit 5
+
+